DirectDataBufferByte

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jagatoo.image
Class DirectDataBufferByte

    java.lang.Object
      java.awt.image.DataBuffer
          org.jagatoo.image.DirectDataBufferByte

    public class DirectDataBufferByte

extends java.awt.image.DataBuffer

Concrete class which backs a data buffer with a native `ByteBuffer`.

Author:
  David Yazel, Marvin Froehlich (aka Qudus)

Field Summary

Fields inherited from class java.awt.image.DataBuffer
`banks, dataType, offset, offsets, size, TYPE_BYTE, TYPE_DOUBLE, TYPE_FLOAT, TYPE_INT, TYPE_SHORT, TYPE_UNDEFINED, TYPE_USHORT`

Constructor Summary
`DirectDataBufferByte(java.nio.ByteBuffer bb)`
`DirectDataBufferByte(int size)`

Method Summary
`java.nio.ByteBuffer` | `getByteBuffer()`
`int` | `getElem(int bank, int i)`
`void` | `setElem(int bank, int i, int val)`

Methods inherited from class java.awt.image.DataBuffer
`getDataType, getDataTypeSize, getElem, getElemDouble, getElemDouble, getElemFloat, getElemFloat, getNumBanks, getOffset, getOffsets, getSize, setElem, setElemDouble, setElemDouble, setElemFloat, setElemFloat`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DirectDataBufferByte

    public DirectDataBufferByte(java.nio.ByteBuffer bb)

### DirectDataBufferByte

    public DirectDataBufferByte(int size)

Method Detail

### getByteBuffer

    public final java.nio.ByteBuffer getByteBuffer()

### getElem

    public int getElem(int bank,
                       int i)

  Specified by:
    `getElem` in class `java.awt.image.DataBuffer`

### setElem

    public void setElem(int bank,
                        int i,
                        int val)

  Specified by:
    `setElem` in class `java.awt.image.DataBuffer`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD